Bug 834684 - Checkstyle broken when running "buildr eclipse" on F17 after proxy rename
Checkstyle broken when running "buildr eclipse" on F17 after proxy rename
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryan Kearney
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 15:03 EDT by Dennis Crissman
Modified: 2015-05-14 10:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-05 08:51:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Crissman 2012-06-22 15:03:17 EDT
Description of problem:
Running "buildr eclipse" on F17 produces error, even though earlier versions of candlepin builds just fine.

Version-Release number of selected component (if applicable):
head of master

How reproducible:
Every time

Steps to Reproduce:
1. pull down git repo on f17 with installed dependencies
2. execute "buildr eclipse"
  
Actual results:
[dcrissman@dcrissman candlepin]$ buildr eclipse
/usr/local/share/gems/gems/buildr-1.4.7/lib/buildr/core/application.rb:596: Use RbConfig instead of obsolete and deprecated Config.
/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
(in /home/dcrissman/git/candlepin, development)
Buildr aborted!
LoadError : cannot load such file -- buildr/java
/home/dcrissman/git/candlepin/buildfile:117:in `<top (required)>'
/usr/local/share/gems/gems/buildr-1.4.7/lib/buildr/core/application.rb:416:in `raw_load_buildfile'
/usr/local/share/gems/gems/buildr-1.4.7/lib/buildr/core/application.rb:224:in `block in load_buildfile'
/usr/local/share/gems/gems/buildr-1.4.7/lib/buildr/core/application.rb:219:in `load_buildfile'
(See full trace by running task with --trace)

Expected results:
Build to complete successfully.

Additional info:
I was able to get the build to work this way: "nocheckstyle=1 buildr eclipse"
Comment 1 Dmitri Dolguikh 2012-06-23 14:33:49 EDT
this is an issue with buildr 1.4.7. 1.4.6 appears to be working fine. As a side note, I think buildr 1.4.7 provides its own version of checkstyle - will confirm that.

Note You need to log in before you can comment on or make changes to this bug.